# Bash colors
C_GREEN=$'\e[32;01m'
C_YELLOW=$'\e[33;01m'
C_RED=$'\e[31;01m'
C_NORMAL=$'\e[0m'

config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

# Keep same perms on rc.mysqld.new:
if [ -e etc/rc.d/rc.mysqld ]; then
  cp -a etc/rc.d/rc.mysqld etc/rc.d/rc.mysqld.new.incoming
  cat etc/rc.d/rc.mysqld.new > etc/rc.d/rc.mysqld.new.incoming
  mv etc/rc.d/rc.mysqld.new.incoming etc/rc.d/rc.mysqld.new
fi

config etc/rc.d/rc.mysqld.new

( cd usr/lib64/mysql ; rm -rf libmysqlclient_r.a )
( cd usr/lib64/mysql ; ln -sf libmysqlclient.a libmysqlclient_r.a )
( cd usr/lib64/mysql ; rm -rf libmysqlclient_r.so.18.0.0 )
( cd usr/lib64/mysql ; ln -sf libmysqlclient.so.18.0.0 libmysqlclient_r.so.18.0.0 )
( cd usr/lib64/mysql ; rm -rf libmysqlclient_r.so.18 )
( cd usr/lib64/mysql ; ln -sf libmysqlclient.so.18 libmysqlclient_r.so.18 )
( cd usr/lib64/mysql ; rm -rf libmysqlclient.so )
( cd usr/lib64/mysql ; ln -sf libmysqlclient.so.18 libmysqlclient.so )
( cd usr/lib64/mysql ; rm -rf libmysqlclient.so.18 )
( cd usr/lib64/mysql ; ln -sf libmysqlclient.so.18.0.0 libmysqlclient.so.18 )
( cd usr/lib64/mysql ; rm -rf libmysqlclient_r.so )
( cd usr/lib64/mysql ; ln -sf libmysqlclient.so libmysqlclient_r.so )
( cd usr/lib64 ; rm -rf libmysqlclient_r.so.18.0.0 )
( cd usr/lib64 ; ln -sf mysql/libmysqlclient_r.so.18.0.0 libmysqlclient_r.so.18.0.0 )
( cd usr/lib64 ; rm -rf libmysqlclient_r.so.18.0 )
( cd usr/lib64 ; ln -sf mysql/libmysqlclient_r.so.18.0.0 libmysqlclient_r.so.18.0 )
( cd usr/lib64 ; rm -rf libmysqlclient_r.so.15 )
( cd usr/lib64 ; ln -sf mysql/libmysqlclient_r.so.18.0.0 libmysqlclient_r.so.15 )
( cd usr/lib64 ; rm -rf libmysqlclient_r.so.16 )
( cd usr/lib64 ; ln -sf mysql/libmysqlclient_r.so.18.0.0 libmysqlclient_r.so.16 )
( cd usr/lib64 ; rm -rf libmysqlclient_r.so.18 )
( cd usr/lib64 ; ln -sf mysql/libmysqlclient_r.so.18.0.0 libmysqlclient_r.so.18 )
( cd usr/lib64 ; rm -rf libmysqlclient.so.15 )
( cd usr/lib64 ; ln -sf mysql/libmysqlclient.so.18.0.0 libmysqlclient.so.15 )
( cd usr/lib64 ; rm -rf libmysqlclient.so.16 )
( cd usr/lib64 ; ln -sf mysql/libmysqlclient.so.18.0.0 libmysqlclient.so.16 )
( cd usr/lib64 ; rm -rf libmysqlclient.so.18 )
( cd usr/lib64 ; ln -sf mysql/libmysqlclient.so.18.0.0 libmysqlclient.so.18 )
( cd usr/lib64 ; rm -rf libmysqlclient.so.18.0 )
( cd usr/lib64 ; ln -sf mysql/libmysqlclient.so.18.0.0 libmysqlclient.so.18.0 )
( cd usr/lib64 ; rm -rf libmysqlclient.so.18.0.0 )
( cd usr/lib64 ; ln -sf mysql/libmysqlclient.so.18.0.0 libmysqlclient.so.18.0.0 )
